from django.shortcuts import redirect, render
from board.models import Questboard
from board.forms import QuestboardForm

def redirect_to_home(request):
    return redirect('/home/')

def homepage_view(request):
    return render(request, 
                 'homepage/homepage.html',
                 {
                     'boards' : Questboard.objects.all(),
                     'add_board_form' : QuestboardForm(),
                 })
    
def add_questboard(request):
    if request.method == "POST":
        filled_form = QuestboardForm(request.POST)
        if filled_form.is_valid():
            new_questboard = filled_form.save()
    return redirect('/questboard/edit/' + str(new_questboard.id))